Bug 463998 - Zero timestamp in audit events from kernel threads
Zero timestamp in audit events from kernel threads
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 15:50 EDT by Miloslav Trmač
Modified: 2009-12-18 01:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:26:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2008-09-25 15:50:00 EDT
The kernel may produce audit records with zero timestamp:

> <SNIP> type=AVC msg=audit(0.000:6760): <SNIP> comm="lockd"
> <SNIP> type=AVC msg=audit(0.000:381): <SNIP> comm="nfsd4"

The records are created by kernel threads; when a kernel thread is
created, an audit context is created and zeroed.  The timestamp is
set on system call entry in ordinary threads, but there is no system
call entry in kernel threads, so the original zero timestamp is used in
all audit records related to kernel threads.
Comment 1 Bug Zapper 2008-11-25 22:13:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Alexander Viro 2008-12-05 14:49:48 EST
In kernel/audit.c:audit_get_stamp() try to replace if (ctx) with
if (ctx && ctx->in_syscall), see if that solves the problem.
Comment 3 Alexander Viro 2008-12-10 00:41:40 EST
ought to be fixed by mainline commit 48887e63d6e057543067327da6b091297f7fe645
Author: Al Viro <viro@zeniv.linux.org.uk>
Date:   Sat Dec 6 01:05:50 2008 -0500
    [PATCH] fix broken timestamps in AVC generated by kernel threads
    Timestamp in audit_context is valid only if ->in_syscall is set.
Comment 4 Chuck Ebbert 2009-03-28 10:08:12 EDT
Fixed in 2.6.28 but not in 2.6.27-stable. Will be fixed in the f10 2.6.29 update.
Comment 5 Bug Zapper 2009-11-18 03:25:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:26:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.